pcl::traits::name< PointT, Tag, dummy > Struct Template Reference

`#include <pcl/point_traits.h>`

## Public Member Functions

| BOOST_MPL_ASSERT_MSG ((!boost::is_same< PointT, typename POD< PointT >::type >::value), POINT_TYPE_NOT_PROPERLY_REGISTERED,(PointT &))

## Detailed Description

### template<class PointT, typename Tag, int dummy = 0>
struct pcl::traits::name< PointT, Tag, dummy >

Definition at line 138 of file point_traits.h.

## Member Function Documentation

template<class PointT , typename Tag , int dummy = 0>

pcl::traits::name< PointT, Tag, dummy >::BOOST_MPL_ASSERT_MSG | ( | (!boost::is_same< PointT, typename< PointT, Tag, dummy > POD< PointT >::type >::value) | ,
|  | POINT_TYPE_NOT_PROPERLY_REGISTERED | ,
|  | (PointT &) |
| ) |  |

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/point_traits.h